// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		2022DDDC24A08BC90037954F /* RxDataSources.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 20585B0E24A0830B0032FF1C /* RxDataSources.framework */; };
		2022DDDF24A0957C0037954F /* Differentiator.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 20585B0D24A0830B0032FF1C /* Differentiator.framework */; };
		2025AD5F24A12E11006C73B6 /* MethodCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2025AD5E24A12E11006C73B6 /* MethodCell.swift */; };
		2025AD6724A131DC006C73B6 /* TextCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2025AD6624A131DC006C73B6 /* TextCell.swift */; };
		20585B0A24A07EC00032FF1C /* HopCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20585B0924A07EC00032FF1C /* HopCell.swift */; };
		20585B0C24A07F020032FF1C /* MaltCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20585B0B24A07F020032FF1C /* MaltCell.swift */; };
		20ACCD7A249F445D0046CF31 /* RxSwift.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 20ACCD75249F445D0046CF31 /* RxSwift.framework */; };
		20ACCD7C249F445D0046CF31 /* RxCocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 20ACCD76249F445D0046CF31 /* RxCocoa.framework */; };
		20ACCD7E249F445D0046CF31 /* RxAlamofire.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 20ACCD77249F445D0046CF31 /* RxAlamofire.framework */; };
		20ACCD80249F445D0046CF31 /* RxRelay.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 20ACCD78249F445D0046CF31 /* RxRelay.framework */; };
		20ACCD82249F445D0046CF31 /* Alamofire.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 20ACCD79249F445D0046CF31 /* Alamofire.framework */; };
		20ACCD86249F5B2A0046CF31 /* BeerCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20ACCD85249F5B2A0046CF31 /* BeerCell.swift */; };
		20EA1F2E249E6B6D00AD9E74 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20EA1F2D249E6B6D00AD9E74 /* AppDelegate.swift */; };
		20EA1F30249E6B6D00AD9E74 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20EA1F2F249E6B6D00AD9E74 /* SceneDelegate.swift */; };
		20EA1F32249E6B6D00AD9E74 /* ListViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20EA1F31249E6B6D00AD9E74 /* ListViewController.swift */; };
		20EA1F35249E6B6D00AD9E74 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 20EA1F33249E6B6D00AD9E74 /* Main.storyboard */; };
		20EA1F37249E6B6E00AD9E74 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 20EA1F36249E6B6E00AD9E74 /* Assets.xcassets */; };
		20EA1F3A249E6B6E00AD9E74 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 20EA1F38249E6B6E00AD9E74 /* LaunchScreen.storyboard */; };
		20EA1F45249E6B6E00AD9E74 /* BrewdogAppTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20EA1F44249E6B6E00AD9E74 /* BrewdogAppTests.swift */; };
		20EA1F50249E6B6E00AD9E74 /* BrewdogAppUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20EA1F4F249E6B6E00AD9E74 /* BrewdogAppUITests.swift */; };
		20EA1F60249E721300AD9E74 /* DetailViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20EA1F5F249E721300AD9E74 /* DetailViewModel.swift */; };
		20EA1F63249E726A00AD9E74 /* ListViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20EA1F62249E726A00AD9E74 /* ListViewModel.swift */; };
		BCD2E162501B94134ACA1B4A /* Beer.swift in Sources */ = {isa = PBXBuildFile; fileRef = BCD2E372BA7DAA62180A0058 /* Beer.swift */; };
		BCD2E29FB02EB1286FE277EF /* BeersRequest.swift in Sources */ = {isa = PBXBuildFile; fileRef = BCD2EC801E36AC245D85939F /* BeersRequest.swift */; };
		BCD2E30AA3B4384C9F6008EF /* DetailViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = BCD2E78330067E42CA5DDD8E /* DetailViewController.swift */; };
		BCD2E6FA7AAEBA59488BFCA8 /* ApiFetcher.swift in Sources */ = {isa = PBXBuildFile; fileRef = BCD2EB96CB17D78F7AD698F2 /* ApiFetcher.swift */; };
		BCD2E97DD66821807181AB92 /* CellViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = BCD2EE01525C52D9C7B8B72A /* CellViewModel.swift */; };
		BCD2EB8AE949889FF6B49362 /* Request.swift in Sources */ = {isa = PBXBuildFile; fileRef = BCD2E7F5493B3C596AB9ED4C /* Request.swift */; };
		BCD2EFB82A9C2811A9E542AE /* BeersProvider.swift in Sources */ = {isa = PBXBuildFile; fileRef = BCD2ED6F0048CF0EAD7E6660 /* BeersProvider.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		20EA1F41249E6B6E00AD9E74 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 20EA1F22249E6B6C00AD9E74 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 20EA1F29249E6B6D00AD9E74;
			remoteInfo = BrewdogApp;
		};
		20EA1F4C249E6B6E00AD9E74 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 20EA1F22249E6B6C00AD9E74 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 20EA1F29249E6B6D00AD9E74;
			remoteInfo = BrewdogApp;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		2025AD5E24A12E11006C73B6 /* MethodCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MethodCell.swift; sourceTree = "<group>"; };
		2025AD6624A131DC006C73B6 /* TextCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TextCell.swift; sourceTree = "<group>"; };
		20585B0924A07EC00032FF1C /* HopCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HopCell.swift; sourceTree = "<group>"; };
		20585B0B24A07F020032FF1C /* MaltCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MaltCell.swift; sourceTree = "<group>"; };
		20585B0D24A0830B0032FF1C /* Differentiator.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Differentiator.framework; path = Carthage/Build/iOS/Differentiator.framework; sourceTree = "<group>"; };
		20585B0E24A0830B0032FF1C /* RxDataSources.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = RxDataSources.framework; path = Carthage/Build/iOS/RxDataSources.framework; sourceTree = "<group>"; };
		20ACCD75249F445D0046CF31 /* RxSwift.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = RxSwift.framework; path = Carthage/Build/iOS/RxSwift.framework; sourceTree = "<group>"; };
		20ACCD76249F445D0046CF31 /* RxCocoa.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = RxCocoa.framework; path = Carthage/Build/iOS/RxCocoa.framework; sourceTree = "<group>"; };
		20ACCD77249F445D0046CF31 /* RxAlamofire.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = RxAlamofire.framework; path = Carthage/Build/iOS/RxAlamofire.framework; sourceTree = "<group>"; };
		20ACCD78249F445D0046CF31 /* RxRelay.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = RxRelay.framework; path = Carthage/Build/iOS/RxRelay.framework; sourceTree = "<group>"; };
		20ACCD79249F445D0046CF31 /* Alamofire.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Alamofire.framework; path = Carthage/Build/iOS/Alamofire.framework; sourceTree = "<group>"; };
		20ACCD85249F5B2A0046CF31 /* BeerCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BeerCell.swift; sourceTree = "<group>"; };
		20EA1F2A249E6B6D00AD9E74 /* BrewdogApp.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = BrewdogApp.app; sourceTree = BUILT_PRODUCTS_DIR; };
		20EA1F2D249E6B6D00AD9E74 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		20EA1F2F249E6B6D00AD9E74 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		20EA1F31249E6B6D00AD9E74 /* ListViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ListViewController.swift; sourceTree = "<group>"; };
		20EA1F34249E6B6D00AD9E74 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		20EA1F36249E6B6E00AD9E74 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		20EA1F39249E6B6E00AD9E74 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		20EA1F3B249E6B6E00AD9E74 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		20EA1F40249E6B6E00AD9E74 /* BrewdogAppTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = BrewdogAppTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		20EA1F44249E6B6E00AD9E74 /* BrewdogAppTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BrewdogAppTests.swift; sourceTree = "<group>"; };
		20EA1F46249E6B6E00AD9E74 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		20EA1F4B249E6B6E00AD9E74 /* BrewdogAppUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = BrewdogAppUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		20EA1F4F249E6B6E00AD9E74 /* BrewdogAppUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BrewdogAppUITests.swift; sourceTree = "<group>"; };
		20EA1F51249E6B6E00AD9E74 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		20EA1F5F249E721300AD9E74 /* DetailViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DetailViewModel.swift; sourceTree = "<group>"; };
		20EA1F62249E726A00AD9E74 /* ListViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ListViewModel.swift; sourceTree = "<group>"; };
		BCD2E372BA7DAA62180A0058 /* Beer.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Beer.swift; sourceTree = "<group>"; };
		BCD2E78330067E42CA5DDD8E /* DetailViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DetailViewController.swift; sourceTree = "<group>"; };
		BCD2E7F5493B3C596AB9ED4C /* Request.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Request.swift; sourceTree = "<group>"; };
		BCD2EB96CB17D78F7AD698F2 /* ApiFetcher.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ApiFetcher.swift; sourceTree = "<group>"; };
		BCD2EC801E36AC245D85939F /* BeersRequest.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = BeersRequest.swift; sourceTree = "<group>"; };
		BCD2ED6F0048CF0EAD7E6660 /* BeersProvider.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = BeersProvider.swift; sourceTree = "<group>"; };
		BCD2EE01525C52D9C7B8B72A /* CellViewModel.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CellViewModel.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		20EA1F27249E6B6D00AD9E74 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2022DDDF24A0957C0037954F /* Differentiator.framework in Frameworks */,
				20ACCD80249F445D0046CF31 /* RxRelay.framework in Frameworks */,
				20ACCD7C249F445D0046CF31 /* RxCocoa.framework in Frameworks */,
				20ACCD7A249F445D0046CF31 /* RxSwift.framework in Frameworks */,
				2022DDDC24A08BC90037954F /* RxDataSources.framework in Frameworks */,
				20ACCD82249F445D0046CF31 /* Alamofire.framework in Frameworks */,
				20ACCD7E249F445D0046CF31 /* RxAlamofire.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		20EA1F3D249E6B6E00AD9E74 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		20EA1F48249E6B6E00AD9E74 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		20ACCD74249F445D0046CF31 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				20585B0D24A0830B0032FF1C /* Differentiator.framework */,
				20585B0E24A0830B0032FF1C /* RxDataSources.framework */,
				20ACCD79249F445D0046CF31 /* Alamofire.framework */,
				20ACCD77249F445D0046CF31 /* RxAlamofire.framework */,
				20ACCD76249F445D0046CF31 /* RxCocoa.framework */,
				20ACCD78249F445D0046CF31 /* RxRelay.framework */,
				20ACCD75249F445D0046CF31 /* RxSwift.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		20ACCD87249F65FB0046CF31 /* Networking */ = {
			isa = PBXGroup;
			children = (
				BCD2EB96CB17D78F7AD698F2 /* ApiFetcher.swift */,
				BCD2E7F5493B3C596AB9ED4C /* Request.swift */,
				BCD2EC801E36AC245D85939F /* BeersRequest.swift */,
				BCD2ED6F0048CF0EAD7E6660 /* BeersProvider.swift */,
			);
			path = Networking;
			sourceTree = "<group>";
		};
		20ACCD88249FDF340046CF31 /* ViewModels */ = {
			isa = PBXGroup;
			children = (
				20EA1F62249E726A00AD9E74 /* ListViewModel.swift */,
				BCD2EE01525C52D9C7B8B72A /* CellViewModel.swift */,
				20EA1F5F249E721300AD9E74 /* DetailViewModel.swift */,
			);
			path = ViewModels;
			sourceTree = "<group>";
		};
		20ACCD89249FDF810046CF31 /* Models */ = {
			isa = PBXGroup;
			children = (
				BCD2E372BA7DAA62180A0058 /* Beer.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		20ACCD8A249FE01A0046CF31 /* Views */ = {
			isa = PBXGroup;
			children = (
				20ACCD85249F5B2A0046CF31 /* BeerCell.swift */,
				20585B0924A07EC00032FF1C /* HopCell.swift */,
				20585B0B24A07F020032FF1C /* MaltCell.swift */,
				2025AD5E24A12E11006C73B6 /* MethodCell.swift */,
				2025AD6624A131DC006C73B6 /* TextCell.swift */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		20ACCD8B249FF16B0046CF31 /* ViewControllers */ = {
			isa = PBXGroup;
			children = (
				20EA1F31249E6B6D00AD9E74 /* ListViewController.swift */,
				BCD2E78330067E42CA5DDD8E /* DetailViewController.swift */,
			);
			path = ViewControllers;
			sourceTree = "<group>";
		};
		20EA1F21249E6B6C00AD9E74 = {
			isa = PBXGroup;
			children = (
				20EA1F2C249E6B6D00AD9E74 /* BrewdogApp */,
				20EA1F43249E6B6E00AD9E74 /* BrewdogAppTests */,
				20EA1F4E249E6B6E00AD9E74 /* BrewdogAppUITests */,
				20EA1F2B249E6B6D00AD9E74 /* Products */,
				20ACCD74249F445D0046CF31 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		20EA1F2B249E6B6D00AD9E74 /* Products */ = {
			isa = PBXGroup;
			children = (
				20EA1F2A249E6B6D00AD9E74 /* BrewdogApp.app */,
				20EA1F40249E6B6E00AD9E74 /* BrewdogAppTests.xctest */,
				20EA1F4B249E6B6E00AD9E74 /* BrewdogAppUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		20EA1F2C249E6B6D00AD9E74 /* BrewdogApp */ = {
			isa = PBXGroup;
			children = (
				20ACCD8B249FF16B0046CF31 /* ViewControllers */,
				20ACCD89249FDF810046CF31 /* Models */,
				20ACCD8A249FE01A0046CF31 /* Views */,
				20ACCD88249FDF340046CF31 /* ViewModels */,
				20ACCD87249F65FB0046CF31 /* Networking */,
				20EA1F2D249E6B6D00AD9E74 /* AppDelegate.swift */,
				20EA1F2F249E6B6D00AD9E74 /* SceneDelegate.swift */,
				20EA1F33249E6B6D00AD9E74 /* Main.storyboard */,
				20EA1F36249E6B6E00AD9E74 /* Assets.xcassets */,
				20EA1F38249E6B6E00AD9E74 /* LaunchScreen.storyboard */,
				20EA1F3B249E6B6E00AD9E74 /* Info.plist */,
			);
			path = BrewdogApp;
			sourceTree = "<group>";
		};
		20EA1F43249E6B6E00AD9E74 /* BrewdogAppTests */ = {
			isa = PBXGroup;
			children = (
				20EA1F44249E6B6E00AD9E74 /* BrewdogAppTests.swift */,
				20EA1F46249E6B6E00AD9E74 /* Info.plist */,
			);
			path = BrewdogAppTests;
			sourceTree = "<group>";
		};
		20EA1F4E249E6B6E00AD9E74 /* BrewdogAppUITests */ = {
			isa = PBXGroup;
			children = (
				20EA1F4F249E6B6E00AD9E74 /* BrewdogAppUITests.swift */,
				20EA1F51249E6B6E00AD9E74 /* Info.plist */,
			);
			path = BrewdogAppUITests;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		20EA1F29249E6B6D00AD9E74 /* BrewdogApp */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 20EA1F54249E6B6E00AD9E74 /* Build configuration list for PBXNativeTarget "BrewdogApp" */;
			buildPhases = (
				20EA1F26249E6B6D00AD9E74 /* Sources */,
				20EA1F27249E6B6D00AD9E74 /* Frameworks */,
				20EA1F28249E6B6D00AD9E74 /* Resources */,
				20EA1F65249E87E400AD9E74 /* [Carthage] Copy Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = BrewdogApp;
			packageProductDependencies = (
			);
			productName = BrewdogApp;
			productReference = 20EA1F2A249E6B6D00AD9E74 /* BrewdogApp.app */;
			productType = "com.apple.product-type.application";
		};
		20EA1F3F249E6B6E00AD9E74 /* BrewdogAppTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 20EA1F57249E6B6E00AD9E74 /* Build configuration list for PBXNativeTarget "BrewdogAppTests" */;
			buildPhases = (
				20EA1F3C249E6B6E00AD9E74 /* Sources */,
				20EA1F3D249E6B6E00AD9E74 /* Frameworks */,
				20EA1F3E249E6B6E00AD9E74 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				20EA1F42249E6B6E00AD9E74 /* PBXTargetDependency */,
			);
			name = BrewdogAppTests;
			productName = BrewdogAppTests;
			productReference = 20EA1F40249E6B6E00AD9E74 /* BrewdogAppTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		20EA1F4A249E6B6E00AD9E74 /* BrewdogAppUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 20EA1F5A249E6B6E00AD9E74 /* Build configuration list for PBXNativeTarget "BrewdogAppUITests" */;
			buildPhases = (
				20EA1F47249E6B6E00AD9E74 /* Sources */,
				20EA1F48249E6B6E00AD9E74 /* Frameworks */,
				20EA1F49249E6B6E00AD9E74 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				20EA1F4D249E6B6E00AD9E74 /* PBXTargetDependency */,
			);
			name = BrewdogAppUITests;
			productName = BrewdogAppUITests;
			productReference = 20EA1F4B249E6B6E00AD9E74 /* BrewdogAppUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		20EA1F22249E6B6C00AD9E74 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1130;
				LastUpgradeCheck = 1130;
				ORGANIZATIONNAME = "Andrei Niadzvedtski";
				TargetAttributes = {
					20EA1F29249E6B6D00AD9E74 = {
						CreatedOnToolsVersion = 11.3.1;
					};
					20EA1F3F249E6B6E00AD9E74 = {
						CreatedOnToolsVersion = 11.3.1;
						TestTargetID = 20EA1F29249E6B6D00AD9E74;
					};
					20EA1F4A249E6B6E00AD9E74 = {
						CreatedOnToolsVersion = 11.3.1;
						TestTargetID = 20EA1F29249E6B6D00AD9E74;
					};
				};
			};
			buildConfigurationList = 20EA1F25249E6B6C00AD9E74 /* Build configuration list for PBXProject "BrewdogApp" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 20EA1F21249E6B6C00AD9E74;
			packageReferences = (
			);
			productRefGroup = 20EA1F2B249E6B6D00AD9E74 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				20EA1F29249E6B6D00AD9E74 /* BrewdogApp */,
				20EA1F3F249E6B6E00AD9E74 /* BrewdogAppTests */,
				20EA1F4A249E6B6E00AD9E74 /* BrewdogAppUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		20EA1F28249E6B6D00AD9E74 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				20EA1F3A249E6B6E00AD9E74 /* LaunchScreen.storyboard in Resources */,
				20EA1F37249E6B6E00AD9E74 /* Assets.xcassets in Resources */,
				20EA1F35249E6B6D00AD9E74 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		20EA1F3E249E6B6E00AD9E74 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		20EA1F49249E6B6E00AD9E74 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		20EA1F65249E87E400AD9E74 /* [Carthage] Copy Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"$(SRCROOT)/input.xcfilelist",
			);
			inputPaths = (
			);
			name = "[Carthage] Copy Frameworks";
			outputFileListPaths = (
				"",
				"$(SRCROOT)/output.xcfilelist",
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "/usr/local/bin/carthage copy-frameworks\n";
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		20EA1F26249E6B6D00AD9E74 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				20ACCD86249F5B2A0046CF31 /* BeerCell.swift in Sources */,
				20EA1F32249E6B6D00AD9E74 /* ListViewController.swift in Sources */,
				20EA1F2E249E6B6D00AD9E74 /* AppDelegate.swift in Sources */,
				20585B0A24A07EC00032FF1C /* HopCell.swift in Sources */,
				2025AD6724A131DC006C73B6 /* TextCell.swift in Sources */,
				20EA1F30249E6B6D00AD9E74 /* SceneDelegate.swift in Sources */,
				20EA1F63249E726A00AD9E74 /* ListViewModel.swift in Sources */,
				20585B0C24A07F020032FF1C /* MaltCell.swift in Sources */,
				20EA1F60249E721300AD9E74 /* DetailViewModel.swift in Sources */,
				BCD2E6FA7AAEBA59488BFCA8 /* ApiFetcher.swift in Sources */,
				BCD2EB8AE949889FF6B49362 /* Request.swift in Sources */,
				BCD2E29FB02EB1286FE277EF /* BeersRequest.swift in Sources */,
				BCD2E162501B94134ACA1B4A /* Beer.swift in Sources */,
				2025AD5F24A12E11006C73B6 /* MethodCell.swift in Sources */,
				BCD2E97DD66821807181AB92 /* CellViewModel.swift in Sources */,
				BCD2EFB82A9C2811A9E542AE /* BeersProvider.swift in Sources */,
				BCD2E30AA3B4384C9F6008EF /* DetailViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		20EA1F3C249E6B6E00AD9E74 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				20EA1F45249E6B6E00AD9E74 /* BrewdogAppTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		20EA1F47249E6B6E00AD9E74 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				20EA1F50249E6B6E00AD9E74 /* BrewdogAppUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		20EA1F42249E6B6E00AD9E74 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 20EA1F29249E6B6D00AD9E74 /* BrewdogApp */;
			targetProxy = 20EA1F41249E6B6E00AD9E74 /* PBXContainerItemProxy */;
		};
		20EA1F4D249E6B6E00AD9E74 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 20EA1F29249E6B6D00AD9E74 /* BrewdogApp */;
			targetProxy = 20EA1F4C249E6B6E00AD9E74 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		20EA1F33249E6B6D00AD9E74 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				20EA1F34249E6B6D00AD9E74 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		20EA1F38249E6B6E00AD9E74 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				20EA1F39249E6B6E00AD9E74 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		20EA1F52249E6B6E00AD9E74 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		20EA1F53249E6B6E00AD9E74 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		20EA1F55249E6B6E00AD9E74 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)/Carthage/Build/iOS",
				);
				INFOPLIST_FILE = BrewdogApp/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.abax.challenge.BrewdogApp;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		20EA1F56249E6B6E00AD9E74 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)/Carthage/Build/iOS",
				);
				INFOPLIST_FILE = BrewdogApp/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.abax.challenge.BrewdogApp;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
		20EA1F58249E6B6E00AD9E74 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = BrewdogAppTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.abax.challenge.BrewdogAppTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/BrewdogApp.app/BrewdogApp";
			};
			name = Debug;
		};
		20EA1F59249E6B6E00AD9E74 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = BrewdogAppTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.abax.challenge.BrewdogAppTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/BrewdogApp.app/BrewdogApp";
			};
			name = Release;
		};
		20EA1F5B249E6B6E00AD9E74 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = BrewdogAppUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.abax.challenge.BrewdogAppUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = BrewdogApp;
			};
			name = Debug;
		};
		20EA1F5C249E6B6E00AD9E74 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = BrewdogAppUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.abax.challenge.BrewdogAppUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = BrewdogApp;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		20EA1F25249E6B6C00AD9E74 /* Build configuration list for PBXProject "BrewdogApp" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				20EA1F52249E6B6E00AD9E74 /* Debug */,
				20EA1F53249E6B6E00AD9E74 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		20EA1F54249E6B6E00AD9E74 /* Build configuration list for PBXNativeTarget "BrewdogApp" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				20EA1F55249E6B6E00AD9E74 /* Debug */,
				20EA1F56249E6B6E00AD9E74 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		20EA1F57249E6B6E00AD9E74 /* Build configuration list for PBXNativeTarget "BrewdogAppTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				20EA1F58249E6B6E00AD9E74 /* Debug */,
				20EA1F59249E6B6E00AD9E74 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		20EA1F5A249E6B6E00AD9E74 /* Build configuration list for PBXNativeTarget "BrewdogAppUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				20EA1F5B249E6B6E00AD9E74 /* Debug */,
				20EA1F5C249E6B6E00AD9E74 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 20EA1F22249E6B6C00AD9E74 /* Project object */;
}
